<!--
README generated with readmemako.py (github.com/russianidiot/readme-mako.py) and .README dotfiles (github.com/russianidiot-dotfiles/.README)
-->

<p align="center">
    <b>plist array management (OS X)</b>
</p>

#### Install

`[sudo] pip install plist-array`

`[sudo] sudo npm install -g plist-array`

#### Features
*	based on Plistbuddy

#### Usage
```bash
# plist-array --help
usage: plist-array command plist key [options]

Available commands:
	get
	set
	add

run `plist-array help command` for more infos
```

#### Example

```bash
plist="path/to/name.plist"
key="ProgramArguments"

# set
$ set -- value1 value2
$ plist-array set "$plist" "$key" "$@"

# get
$ plist-array get "$plist" "$key"
value1
value2

# add
$ set -- value3 value3
$ plist-array add "$plist" "$key" "$@"
$ plist-array get "$plist" "$key"
value1
value2
value3
value4
```

[Examples/](https://github.com/russianidiot/plist-array.sh.cli/tree/master/Examples)

Feedback
[![GitHub issues](https://img.shields.io/github/issues/russianidiot/plist-array.sh.cli.svg)](https://github.com/russianidiot/plist-array.sh.cli/issues)
[![Join the chat at https://gitter.im/russianidiot/plist-array.sh.cli](https://badges.gitter.im/russianidiot/plist-array.sh.cli.svg)](https://gitter.im/russianidiot/plist-array.sh.cli)
[![GitHub followers](https://img.shields.io/github/followers/russianidiot.svg?style=social&label=Follow)](https://github.com/russianidiot)
