<!--
README generated with readmemako.py (github.com/russianidiot/readme-mako.py) and .README dotfiles (github.com/russianidiot-dotfiles/.README)
-->

![bash](https://img.shields.io/badge/language-bash-blue.svg)[![Platform (OS X)](https://img.shields.io/badge/platform-OS%20X-green.svg?style=flat-square)]()
[![PyPI](https://img.shields.io/pypi/v/plist-array.svg)](https://pypi.python.org/pypi/plist-array)
[![npm](https://img.shields.io/npm/v/plist-array.svg)](https://www.npmjs.com/package/plist-array)

[![drone.io](https://drone.io/github.com/russianidiot/plist-array.sh.cli/status.png)](https://drone.io/github.com/russianidiot/plist-array.sh.cli)
[![scrutinizer-ci.com](https://scrutinizer-ci.com/g/russianidiot/plist-array.sh.cli/badges/build.png?b=master)](https://scrutinizer-ci.com/g/russianidiot/plist-array.sh.cli/)
[![semaphoreci.com](https://semaphoreci.com/api/v1/russianidiot/plist-array-sh-cli/branches/master/shields_badge.svg)](https://semaphoreci.com/russianidiot/plist-array-sh-cli)
[![shippable.com](https://api.shippable.com/projects/5768e1c92a8192902e245f19/badge?branch=master)](https://app.shippable.com/projects/5768e1c92a8192902e245f19/status/)
[![travis-ci.org](https://api.travis-ci.org/russianidiot/plist-array.sh.cli.svg)](https://travis-ci.org/russianidiot/plist-array.sh.cli)
[![wercker.com](https://app.wercker.com/status/2440b5c78018069fad6424c11859e7f9/s/master)](https://app.wercker.com/russianidiot/plist-array.sh.cli/)

<p align="center">
    <b>plist array management (OS X)</b>
</p>

#### Install

`[sudo] pip install plist-array`

`[sudo] sudo npm install -g plist-array`

#### Features
*	based on Plistbuddy

#### Usage
```bash
# plist-array --help
usage: plist-array command plist key [options]

Available commands:
	get
	set
	add

run `plist-array help command` for more infos
```

#### Example

```bash
plist="path/to/name.plist"
key="ProgramArguments"

# set
$ set -- value1 value2
$ plist-array set "$plist" "$key" "$@"

# get
$ plist-array get "$plist" "$key"
value1
value2

# add
$ set -- value3 value3
$ plist-array add "$plist" "$key" "$@"
$ plist-array get "$plist" "$key"
value1
value2
value3
value4
```

[Examples/](https://github.com/russianidiot/plist-array.sh.cli/tree/master/Examples)

Feedback
[![GitHub issues](https://img.shields.io/github/issues/russianidiot/plist-array.sh.cli.svg)](https://github.com/russianidiot/plist-array.sh.cli/issues)
[![Join the chat at https://gitter.im/russianidiot/plist-array.sh.cli](https://badges.gitter.im/russianidiot/plist-array.sh.cli.svg)](https://gitter.im/russianidiot/plist-array.sh.cli)
[![GitHub followers](https://img.shields.io/github/followers/russianidiot.svg?style=social&label=Follow)](https://github.com/russianidiot)
